Skip to main content
`Ctrl`+`K`
scipy.spatial.distance.

# seuclidean

scipy.spatial.distance.seuclidean(u, v, V)

  Return the standardized Euclidean distance between two 1-D arrays.

  The standardized Euclidean distance between two n-vectors u and v is

  \[\sqrt{\sum\limits_i \frac{1}{V_i} \left(u_i-v_i \right)^2}\]

  `V` is the variance vector; `V[I]` is the variance computed over all the i-th components of the points. If not passed, it is automatically computed.

  Parameters:
    u(N,) array_like

      Input array.

    v(N,) array_like

      Input array.

    V(N,) array_like

      V is an 1-D array of component variances. It is usually computed among a larger collection of vectors.

  Returns:
    seuclidean double

      The standardized Euclidean distance between vectors u and v.

  Examples

      >>> from scipy.spatial import distance
      >>> distance.seuclidean([1, 0, 0], [0, 1, 0], [0.1, 0.1, 0.1])
      4.4721359549995796
      >>> distance.seuclidean([1, 0, 0], [0, 1, 0], [1, 0.1, 0.1])
      3.3166247903553998
      >>> distance.seuclidean([1, 0, 0], [0, 1, 0], [10, 0.1, 0.1])
      3.1780497164141406